package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 启用状态 (0.停止，1.启用)枚举类
 *
 * @author zxfei
 */
public enum EnabledEnum {
    停用(0, "停用"),
    启用(1, "启用");
    private Integer value;
    private String desc;

    EnabledEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static EnabledEnum getByValue(Integer value) {
        for (EnabledEnum enabledEnum : EnabledEnum.values()) {
            if (enabledEnum.getValue() == value) {
                return enabledEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (EnabledEnum item : EnabledEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}